SDL_uikitviewcontroller Class Reference

`#import <SDL_uikitviewcontroller.h>`

Inheritance diagram for SDL_uikitviewcontroller:
[legend]
Collaboration diagram for SDL_uikitviewcontroller:
[legend]

## Instance Methods

(instancetype) | - initWithSDLWindow:
(void) | - setAnimationCallback:callback:callbackParam:
(void) | - startAnimation
(void) | - stopAnimation
(void) | - doLoop:
(void) | - loadView
(void) | - viewDidLayoutSubviews
(NSUInteger) | - supportedInterfaceOrientations
(BOOL) | - prefersStatusBarHidden

## Properties

SDL_Window * | window

## Detailed Description

Definition at line 31 of file SDL_uikitviewcontroller.h.

## Method Documentation

- (void) doLoop: |  | (CADisplayLink *) | sender |

- (instancetype) initWithSDLWindow: |  | (SDL_Window *) | _window |

- (void) loadView |  |  |

- (BOOL) prefersStatusBarHidden |  |  |

- (void) setAnimationCallback: |  | (int) | interval
callback: |  | (void(*)(void *)) | callback
callbackParam: |  | (void *) | callbackParam

- (void) startAnimation |  |  |

- (void) stopAnimation |  |  |

- (NSUInteger) supportedInterfaceOrientations |  |  |

- (void) viewDidLayoutSubviews |  |  |

## Property Documentation

- (SDL_Window*) window

read write nonatomic assign

Definition at line 34 of file SDL_uikitviewcontroller.h.

The documentation for this class was generated from the following file:

- src/video/uikit/SDL_uikitviewcontroller.h